# RoutePolylineApi

All URIs are relative to *https://dev.tollguru.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**routePost**](RoutePolylineApi.md#routePost) | **POST** /route | Route polyline (from HERE/ Google map)

<a name="routePost"></a>
# **routePost**
> InlineResponse200 routePost(body)

Route polyline (from HERE/ Google map)

The response endpoint retrieves all tolls on the single route requested. You will not receive tolls for alternate routes possible between the origin and destination.

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.RoutePolylineApi;


RoutePolylineApi apiInstance = new RoutePolylineApi();
Body body = new Body(); // Body | 
try {
    InlineResponse200 result = apiInstance.routePost(body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling RoutePolylineApi#routePost");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Body**](Body.md)|  | [optional]

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

