# HereRequestBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**from** | **AllOfHereRequestBodyFrom** |  | 
**to** | **AllOfHereRequestBodyTo** |  | 
**waypoints** | [**List&lt;Location&gt;**](Location.md) |  |  [optional]
**vehicleType** | **AllOfHereRequestBodyVehicleType** |  |  [optional]
**departureTime** | **OneOfHereRequestBodyDepartureTime** |  |  [optional]
**fuelPrice** | [**BigDecimal**](BigDecimal.md) |  |  [optional]
**fuelPriceCurrency** | [**FuelPriceCurrencyEnum**](#FuelPriceCurrencyEnum) |  |  [optional]
**fuelEfficiency** | **AllOfHereRequestBodyFuelEfficiency** |  |  [optional]
**truck** | **AllOfHereRequestBodyTruck** | Truck routing only |  [optional]
**driver** | **AllOfHereRequestBodyDriver** | Driver wage or Value of Time |  [optional]
**stateMileage** | **Boolean** |  |  [optional]
**hos** | **AllOfHereRequestBodyHos** |  |  [optional]

<a name="FuelPriceCurrencyEnum"></a>
## Enum: FuelPriceCurrencyEnum
Name | Value
---- | -----
USD | &quot;USD&quot;
CAD | &quot;CAD&quot;
MXN | &quot;MXN&quot;
INR | &quot;INR&quot;
